AddCardTag
Add a Tag Name and Tag Value to a card identified by tracking number. This is for the client to mark the card with an identifier without having to move the card to a different program (for client’s with multiple card programs).
Request
Path parameters
string, 10 characters, required
The Paymentology issued terminal ID of the terminal requesting the transaction
string, 1-255 characters, required
Customer reference linked with this card
string, 1-20 characters, required
Tracking number that identifies the card to be returned
string, 1-50 characters, required
tagName with which cards can be tagged
string, 1-255 characters, required
tagValue value that belong to a tagName
string, 1-255 characters, required
A unique identifier generated by the client, which must not be duplicated over time.
date, required
Transaction date generated by the calling client
string, required
HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
<methodName type="xs:string">AddCardTag</methodName>
<params>
<param>
<value>
<string>0001001111</string>
</value>
</param>
<param>
<value>
<string>e1111100012451109bda4ade3aa6113d</string>
</value>
</param>
<param>
<value>
<string>543219000000321</string>
</value>
</param>
<param>
<value>
<string>tag_name</string>
</value>
</param>
<param>
<value>
<string>tag_Value</string>
</value>
</param>
<param>
<value>
<string>c7f7b112-b6ce-41c8-89c5-e5b18fc5211a</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20180718T10:34:04</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>20AC938B3F2007EBBC4915AEF201111DF6A018BC</string>
</value>
</param>
</params>
</methodCall>
Response
STATUS200 OK
Schema
string
Echo
string
Echo
string
Echo
string
Echo
string
Transaction ID generated by Paymentology
integer
Status code indicating transaction result
string
Text indicating transaction result
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>c7f7b112-b6ce-41c8-89c5-e5b18fc5211a</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0001001111</string>
</value>
</member>
<member>
<name>customerReference</name>
<value>
<string>e1111100012451109bda4ade3aa6113d</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>5D000111-C5AE-39B9-E111000F1C11111A</string>
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>543219000000321</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
Was this page helpful?